#
# spec file for package xtt-fonts (Version 0.20010818)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         xtt-fonts
Copyright: distributable
Group: Extensions/Japanese
Autoreqprov: on
Version:      0.20010818
Release:      26
# URL will move to http://hanzubon.jp/ in Summer 2001
URL: http://www.linux.or.jp/~ishikawa/linux/X-TT/
Source0: ftp://ftp.jp.debian.org/debian/pool/main/t/ttf-xtt/ttf-xtt_0.20010818-1.tar.bz2
# jisx0201.1976-0 encoding doesn't seem to work with these fonts, don't
# include this encoding in the following fonts.scale source file:
Source2: fonts.scale.xtt-fonts
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-root
Summary:      Watanabe Mincho and Wada Lab Gothic Japanese True Type fonts
#Summary(ja): īĸѥåܸ True Type fonts

%description
Watanabe Mincho and Wada Lab Gothic Japanese True Type fonts

Authors:
--------
    ISHIKAWA Mutsumi <ishikawa@linux.or.jp>

SuSE series: j

%prep
%setup  -n ttf-xtt-0.20010818
cp ./debian/copyright .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -c -m 644 *.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype
install -c -m 644 $RPM_SOURCE_DIR/fonts.scale.xtt-fonts \
                  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/

%post
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%postun
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root,root)
%doc copyright
%doc 00README.FIRST.ja
%doc README.wadalab.eng README.wadalab.ja README.watanabe-dnp.ja README.watanabe-vec.ja
/usr/X11R6/lib/X11/fonts/truetype/*.ttf
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.xtt-fonts

%changelog -n xtt-fonts
* Mon Aug 27 2001 - mfabian@suse.de
- update to version 0.20010818-1
* Wed Jun 27 2001 - mfabian@suse.de
- update to version 0.20010306-9
- use ascii instead of iso8859-1 in the XLFDs for the
  latin alphabet part, these fonts contain characters from
  iso8859-* which are not in ascii
- use "-m-" instead of "-p-" in the XLFDs for the ascii encoding,
  according to "xlsfonts -ll" these fonts are monospaced, not
  proportional.
* Thu May 03 2001 - mfabian@suse.de
- remove %%post and %%postun, it is enough when SuSEconfig
  updates the font directory, better don't duplicate the code
  here.
* Thu Nov 30 2000 - mfabian@suse.de
- improved %%post and %%postun scripts. The previous version
  failed when this package was installed by autobuild into
  the buildsystem's chroot environment. I hope this is fixed now.
* Mon Nov 27 2000 - mfabian@suse.de
- removed workaround in .spec file to prevent %%{?suse_check}
  from gzipping the fonts.scale.xtt-fonts file
  %%{?suse_check} works correctly now, this workaround is no longer
  needed.
* Sat Nov 25 2000 - mfabian@suse.de
- new package: xtt-fonts, Version 0.19990222
